Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.testng
Class TestNGTestFramework

    java.lang.Object
      org.gradle.api.tasks.testing.AbstractTestFramework
          org.gradle.external.testng.TestNGTestFramework

All Implemented Interfaces:
  TestFramework

    public class TestNGTestFramework

extends AbstractTestFramework

Field Summary

Fields inherited from class org.gradle.api.tasks.testing.AbstractTestFramework
`name, USE_OF_CORRECT_TEST_FRAMEWORK`

Constructor Summary
`TestNGTestFramework()`

Method Summary
`void` | `execute(Project project, Test testTask, java.util.Collection<java.lang.String> includes, java.util.Collection<java.lang.String> excludes)`
`org.gradle.api.tasks.testing.testng.TestNGOptions` | `getOptions()`
`java.util.Set<java.lang.String>` | `getTestClassNames()`
`void` | `initialize(Project project, Test testTask)`
`boolean` | `isTestClass(java.io.File testClassFile)`
`void` | `prepare(Project project, Test testTask)`
`void` | `report(Project project, Test testTask)`

Methods inherited from class org.gradle.api.tasks.testing.AbstractTestFramework
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestNGTestFramework

    public TestNGTestFramework()

Method Detail

### initialize

    public void initialize(Project project,
                           Test testTask)

### prepare

    public void prepare(Project project,
                        Test testTask)

### execute

    public void execute(Project project,
                        Test testTask,
                        java.util.Collection<java.lang.String> includes,
                        java.util.Collection<java.lang.String> excludes)

### report

    public void report(Project project,
                       Test testTask)

### getOptions

    public org.gradle.api.tasks.testing.testng.TestNGOptions getOptions()

### isTestClass

    public boolean isTestClass(java.io.File testClassFile)

### getTestClassNames

    public java.util.Set<java.lang.String> getTestClassNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD